commit:     e13449ed7ee3dc75312d3ed44c7d507a68312a0c
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 29 14:11:51 2017 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Jan 29 14:11:51 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e13449ed

app-admin/collectd: Block too old sys-apps/openrc version (bug #607476)

collctd runscript makes use of required_files which had a bug in previous
OpenRC versions (bug #562320). Because we still have affected stable
OpenRC versions in repository we need to block those versions to enforce
an OpenRC update on these systems.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 app-admin/collectd/collectd-5.5.2.ebuild    | 5 +++--
 app-admin/collectd/collectd-5.6.1-r1.ebuild | 5 +++--
 app-admin/collectd/collectd-5.6.2.ebuild    | 5 +++--
 3 files changed, 9 insertions(+), 6 deletions(-)

diff --git a/app-admin/collectd/collectd-5.5.2.ebuild 
b/app-admin/collectd/collectd-5.5.2.ebuild
index a20f83a..f911561 100644
--- a/app-admin/collectd/collectd-5.5.2.ebuild
+++ b/app-admin/collectd/collectd-5.5.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -133,7 +133,8 @@ RDEPEND="${COMMON_DEPEND}
        collectd_plugins_genericjmx?            ( >=virtual/jre-1.6 )
        collectd_plugins_java?                  ( >=virtual/jre-1.6 )
        collectd_plugins_syslog?                ( virtual/logger )
-       selinux?                                ( sec-policy/selinux-collectd )"
+       selinux?                                ( sec-policy/selinux-collectd )
+       !<sys-apps/openrc-0.18.2"
 
 REQUIRED_USE="
        collectd_plugins_genericjmx?            ( java )

diff --git a/app-admin/collectd/collectd-5.6.1-r1.ebuild 
b/app-admin/collectd/collectd-5.6.1-r1.ebuild
index 957c9a0..640ca01 100644
--- a/app-admin/collectd/collectd-5.6.1-r1.ebuild
+++ b/app-admin/collectd/collectd-5.6.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -144,7 +144,8 @@ DEPEND="${COMMON_DEPEND}
 RDEPEND="${COMMON_DEPEND}
        collectd_plugins_java?                  ( >=virtual/jre-1.6 )
        collectd_plugins_syslog?                ( virtual/logger )
-       selinux?                                ( sec-policy/selinux-collectd )"
+       selinux?                                ( sec-policy/selinux-collectd )
+       !<sys-apps/openrc-0.18.2"
 
 REQUIRED_USE="
        collectd_plugins_python?                ( ${PYTHON_REQUIRED_USE} )

diff --git a/app-admin/collectd/collectd-5.6.2.ebuild 
b/app-admin/collectd/collectd-5.6.2.ebuild
index d90c756..7053b52 100644
--- a/app-admin/collectd/collectd-5.6.2.ebuild
+++ b/app-admin/collectd/collectd-5.6.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -144,7 +144,8 @@ DEPEND="${COMMON_DEPEND}
 RDEPEND="${COMMON_DEPEND}
        collectd_plugins_java?                  ( >=virtual/jre-1.6 )
        collectd_plugins_syslog?                ( virtual/logger )
-       selinux?                                ( sec-policy/selinux-collectd )"
+       selinux?                                ( sec-policy/selinux-collectd )
+       !<sys-apps/openrc-0.18.2"
 
 REQUIRED_USE="
        collectd_plugins_python?                ( ${PYTHON_REQUIRED_USE} )

Reply via email to